// Customer : Forbes
// Version : DHTML Trigger 1.2
function cppUrlPatch(s) {
	var translated = "";
	var i; 
	var found = 0;
	for(i = 0; (found = s.indexOf(':', found)) != -1; ) {
		translated += s.substring(i, found) + "|";
		i = found + 1;
		found++;
	}
	translated += s.substring(i, s.length);
	return translated;
}
var triggerParms = new Array(); 
triggerParms["dt"] = 0; // disable trigger if 1
triggerParms["dhtml"]= 1;// disable dhtml trigger if dhtml=0
triggerParms["mid"] = "3UHqNwcy4zp0zP9UKes28Q=="; // model instance id
triggerParms["cid"] = "Q8+EG6AmSqT80/hyFPzeDQ=="; // customer id
triggerParms["lf"] = 3; // loyalty factor
triggerParms["sp"] = 1.0; // sample percentage
triggerParms["npc"] = 0; // no persistent cookies if 1
triggerParms["rw"] = 129600; // resample wait (value in minutes)
triggerParms["pu"] = 0; // pop-under control
triggerParms["olpu"] = 1; // On Load pop-under control
triggerParms["lfcookie"] = "ForeseeLoyalty_MID_3UHqNwcy4z";
triggerParms["ascookie"] = "ForeseeSurveyShown_3UHqNwcy4z";
triggerParms["domain"] = ".forbes.com"; // domain name
//triggerParms["omb"] = "1505-0186"; // OMB number
triggerParms["cpp_1"] = "userURL:"+ cppUrlPatch (window.location.protocol+"://" + window.location.host + window.location.pathname); // customer parameter 1 - user URL
//triggerParms["cpp_2"] = "Browser:"+ cppUrlPatch (navigator.userAgent); // customer parameter 2 - Browser
//triggerParms["capturePageView"] = 1;
triggerParms["width"] = 420; // survey width
triggerParms["height"] = 500; // survey height
triggerParms["welcome_width"] = 288; // welcome page width
triggerParms["welcome_height"] = 266; // welcome page height
triggerParms["dhtmlURL"]= "/scripts/FSRInvite.html";
